Bug 657099 (CVE-2010-4037) - CVE-2010-4037 webkit: remote bypass of pop-up blocker
Summary: CVE-2010-4037 webkit: remote bypass of pop-up blocker
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2010-4037
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 806808
TreeView+ depends on / blocked
 
Reported: 2010-11-24 22:02 UTC by Vincent Danen
Modified: 2019-09-29 12:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 08:20:06 UTC


Attachments (Terms of Use)

Description Vincent Danen 2010-11-24 22:02:20 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4037 to
the following vulnerability:


Name: CVE-2010-4037
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4037
Assigned: 20101021
Reference: CONFIRM: http://code.google.com/p/chromium/issues/detail?id=53002
Reference: CONFIRM: http://googlechromereleases.blogspot.com/2010/10/stable-channel-update.html
Reference: BID:44241
Reference: URL: http://www.securityfocus.com/bid/44241
Reference: SECUNIA:41888
Reference: URL: http://secunia.com/advisories/41888
Reference: VUPEN:ADV-2010-2731
Reference: URL: http://www.vupen.com/english/advisories/2010/2731

Unspecified vulnerability in Google Chrome before 7.0.517.41 allows
remote attackers to bypass the pop-up blocker via unknown vectors.


It is unclear to me as of yet whether this does affect webkitgtk; the code looks like it may be applicable but due to how Chrome handles things differently, it is possible this is Chrome-specific.  It needs further investigation.

Additional references:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=45369
Trac: http://trac.webkit.org/changeset/67716


Note You need to log in before you can comment on or make changes to this bug.